###################################################
### chunk number 1: 
###################################################
library(trio)
data(trio.ped1)
str(trio.ped1)
trio.ped1[1:10,1:12]


###################################################
### chunk number 2: 
###################################################
trio.tmp = trio.check(dat=trio.ped1)
str(trio.tmp, max=1)
trio.tmp$trio[1:6,]


###################################################
### chunk number 3: 
###################################################
trio.bin = trio(trio.dat=trio.tmp, blocks=c(1,4,2,3))
str(trio.bin, max=1)

trio.bin$bin[1:8,]


###################################################
### chunk number 4: 
###################################################
data(trio.gen1)
str(trio.gen1)
trio.gen1[1:10,1:12]
trio.tmp = trio.check(dat=trio.gen1, is.linkage=F)
trio.bin = trio(trio.dat=trio.tmp, blocks=c(1,4,2,3))


###################################################
### chunk number 5: 
###################################################
data(trio.ped2)
str(trio.ped2)

trio.tmp = trio.check(dat=trio.ped2)
trio.tmp$trio[1:6,]


###################################################
### chunk number 6: 
###################################################
trio.bin = trio(trio.dat=trio.tmp, blocks=c(1,4,2,3))
trio.bin$bin[1:8,]


###################################################
### chunk number 7: 
###################################################
data(trio.gen2)
str(trio.gen2)
trio.tmp = trio.check(dat=trio.gen2, is.linkage=F)
trio.bin = trio(trio.dat=trio.tmp, blocks=c(1,4,2,3))
trio.bin$bin[1:8,]


###################################################
### chunk number 8: 
###################################################
data(trio.gen2)
trio.tmp = trio.check(dat=trio.gen2, is.linkage=F)
trio.imp = trio(trio.dat=trio.tmp, blocks=c(1,4,2,3), logic=F)
str(trio.imp, max=1)
trio.imp$miss[c(1:6),]
print(trio.gen2[1:6,])
print(trio.imp$trio[1:6,])


###################################################
### chunk number 9: 
###################################################
data(trio.ped2)
trio.tmp = trio.check(dat=trio.ped2)
trio.imp = trio(trio.dat=trio.tmp, blocks=c(1,4,2,3), logic=F)


###################################################
### chunk number 10: 
###################################################
data(trio.ped.err)
trio.tmp = trio.check(dat=trio.ped.err)
str(trio.tmp, max=1)
trio.tmp$errors


###################################################
### chunk number 11: 
###################################################
trio.tmp$trio.err[1:3, c(1,2, 11:12)]
trio.ped.err[1:3,c(1:2, 23:26)]


###################################################
### chunk number 12: 
###################################################
trio.rep = trio.check(dat=trio.ped.err, replace=T)
str(trio.rep, max=1)
trio.rep$trio[1:3,11:12]


###################################################
### chunk number 13: 
###################################################
data(trio.gen.err)
trio.tmp = trio.check(dat=trio.gen.err, is.linkage=F)
trio.tmp$errors
trio.tmp$trio.err[1:6, c(1,2,7), drop=F]
trio.rep = trio.check(dat=trio.gen.err, is.linkage=F, replace=T)
trio.rep$trio[1:6,c(1,2,7)]


###################################################
### chunk number 14: 
###################################################
data(freq.hap)
str(freq.hap)
freq.hap[1:6,]


###################################################
### chunk number 15: 
###################################################
data(trio.gen2)
trio.tmp = trio.check(dat=trio.gen2, is.linkage=F)
trio.imp = trio(trio.dat=trio.tmp, freq=freq.hap, logic=F)
str(trio.imp, max=1)
print(trio.gen2[1:6,])
print(trio.imp$trio[1:6,])


###################################################
### chunk number 16: 
###################################################
data(simuBkMap)
str(simuBkMap)
simuBkMap[1:7,]
sim = trio.sim(freq=simuBkMap, interaction="1R and 5R", prev=.001, OR=2, 
n=20, rep=1)
str(sim)
sim[[1]][1:6, 1:12]


###################################################
### chunk number 17: 
###################################################
data(trio.gen1)
trio.tmp = trio.check(dat=trio.gen1, is.linkage=F)
trio.impu = trio(trio.dat=trio.tmp, blocks=c(1, 4, 2, 3), logic=T)

str(trio.impu, max=2)
trio.impu$freq[1:7,]
sim = trio.sim(freq=trio.impu$freq, interaction="1R and 5R", prev=.001, OR=2, 
n=20, rep=1)

str(sim)
sim[[1]][1:6, ]


###################################################
### chunk number 18: 
###################################################
data(freq.hap)

sim = trio.sim(freq=freq.hap, interaction="1R or 4D", prev=.001, OR=2, 
n=10, rep=2)
str(sim)
sim[[1]][1:6,]


###################################################
### chunk number 19: 
###################################################
data(freq.hap)

sim = trio.sim(freq=freq.hap, interaction="1R or (6R and 10D)", prev=.001, 
OR=2, n=10, rep=1)
str(sim)
sim[[1]][1:6,]


###################################################
### chunk number 20: 
###################################################
sim = trio.sim(freq=freq.hap, interaction="1R or (6R and 10D)", prev=.001, 
OR=3, n=10, rep=1, step.save="step3way")
str(sim, max=1)
sim[[1]][1:6,]


###################################################
### chunk number 21: 
###################################################
data(LDdata)


###################################################
### chunk number 22: 
###################################################
ld.out <- getLD(LDdata, asMatrix=TRUE)


###################################################
### chunk number 23: 
###################################################
round(ld.out$Dprime[1:10,1:10], 2)


###################################################
### chunk number 24: 
###################################################
round(ld.out$rSquare[1:10,1:10], 2)


###################################################
### chunk number 25: 
###################################################
blocks <- findLDblocks(LDdata)
blocks


###################################################
### chunk number 26: 
###################################################
ld.out2 <- getLD(LDdata, addVarN=TRUE)
blocks2 <- findLDblocks(ld.out2)
blocks2


###################################################
### chunk number 27: 
###################################################
hap <- as.vector(table(blocks$blocks))
hap


